[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TCustomSQLStatement.Create

Create a new instance of TCustomSQLStatement

## Declaration

Source position: sqldb.pp line 421

`public constructor TCustomSQLStatement.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the new TCustomSQLStatement instance.

## Description

Create initializes a new instance of TCustomSQLStatement and sets the SQL Params, ParamCheck and ParseSQL to their initial values.

## See also

TSQLStatement.SQL |  | The SQL statement to execute
TSQLStatement.Params |  | List of parameters.
TSQLStatement.ParamCheck |  | Should SQL be checked for parameters
TSQLStatement.ParseSQL |  | Parse the SQL statement
TSQLStatement.Destroy